# Transactions

## Bridges Transactions (Absolute)

> The number of transactions (transaction count) in the Ethereum network by contracts that allow transfer of tokens between different blockchains.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersCountBridges?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_count_bridges":{"get":{"summary":"Bridges Transactions (Absolute)","description":"The number of transactions (transaction count) in the Ethereum network by contracts that allow transfer of tokens between different blockchains.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersCountBridges?a=ETH)\n","operationId":"transactions.TransfersCountBridges","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bridges Transactions (Relative)

> The relative amount (share) of transactions in the Ethereum network by contracts that allow transfer of tokens between different blockchains.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersCountBridgesRelative?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_count_bridges_relative":{"get":{"summary":"Bridges Transactions (Relative)","description":"The relative amount (share) of transactions in the Ethereum network by contracts that allow transfer of tokens between different blockchains.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersCountBridgesRelative?a=ETH)\n","operationId":"transactions.TransfersCountBridgesRelative","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Change-Adjusted Volume (Mean)

> The mean value of a transfer, adjusted by change volume. Only successful transfers are counted.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeAdjustedMean?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_adjusted_mean":{"get":{"summary":"Change-Adjusted Volume (Mean)","description":"The mean value of a transfer, adjusted by change volume. Only successful transfers are counted.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeAdjustedMean?a=BTC)\n","operationId":"transactions.TransfersVolumeAdjustedMean","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Change-Adjusted Volume (Median)

> The median value of a transfer, adjusted by change volume. Only successful transfers are counted.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeAdjustedMedian?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_adjusted_median":{"get":{"summary":"Change-Adjusted Volume (Median)","description":"The median value of a transfer, adjusted by change volume. Only successful transfers are counted.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeAdjustedMedian?a=BTC)\n","operationId":"transactions.TransfersVolumeAdjustedMedian","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Change-Adjusted Volume (Total)

> The total amount of coins transferred on-chain, adjusted by change volume. Only successful transfers are counted.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeAdjustedSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_adjusted_sum":{"get":{"summary":"Change-Adjusted Volume (Total)","description":"The total amount of coins transferred on-chain, adjusted by change volume. Only successful transfers are counted.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeAdjustedSum?a=BTC)\n","operationId":"transactions.TransfersVolumeAdjustedSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 1month, 1w, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Coinjoin Output Count

> The total count of indistinguishable outputs in coinjoin transactions. The metric is an aggregate of different coinjoin providers. Note that coinjoin metrics rely on heuristics and statistical information that change over time. Therefore these metrics are mutable – the data is stable, but especially most recent data points are subject to slight fluctuations as time progresses.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersFromCoinjoinsCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_from_coinjoins_count":{"get":{"summary":"Coinjoin Output Count","description":"The total count of indistinguishable outputs in coinjoin transactions. The metric is an aggregate of different coinjoin providers. Note that coinjoin metrics rely on heuristics and statistical information that change over time. Therefore these metrics are mutable – the data is stable, but especially most recent data points are subject to slight fluctuations as time progresses.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersFromCoinjoinsCount?a=BTC)\n","operationId":"transactions.TransfersFromCoinjoinsCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Coinjoin Output Volume

> The total amount of indistinguishable outputs in coinjoin transactions, i.e. the volume of coins mixed by different coinjoin providers. Note that coinjoin metrics rely on heuristics and statistical information that change over time. Therefore these metrics are mutable – the data is stable, but especially most recent data points are subject to slight fluctuations as time progresses.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeFromCoinjoinsSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_from_coinjoins_sum":{"get":{"summary":"Coinjoin Output Volume","description":"The total amount of indistinguishable outputs in coinjoin transactions, i.e. the volume of coins mixed by different coinjoin providers. Note that coinjoin metrics rely on heuristics and statistical information that change over time. Therefore these metrics are mutable – the data is stable, but especially most recent data points are subject to slight fluctuations as time progresses.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeFromCoinjoinsSum?a=BTC)\n","operationId":"transactions.TransfersVolumeFromCoinjoinsSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Contract Calls (External)

> The total number of smart contract calls on the Ethereum network initiated by Externally Owned Addresses (EOAs), i.e. external transactions. Only successful transactions are counted.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.ContractCallsExternalCount?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/contract_calls_external_count":{"get":{"summary":"Contract Calls (External)","description":"The total number of smart contract calls on the Ethereum network initiated by Externally Owned Addresses (EOAs), i.e. external transactions. Only successful transactions are counted.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.ContractCallsExternalCount?a=ETH)\n","operationId":"transactions.ContractCallsExternalCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Contract Calls (Internal)

> The total number of internal smart contract calls on the Ethereum network, i.e. contract calls initiated by other contracts (internal transactions). Only successful transactions are counted.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.ContractCallsInternalCount?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/contract_calls_internal_count":{"get":{"summary":"Contract Calls (Internal)","description":"The total number of internal smart contract calls on the Ethereum network, i.e. contract calls initiated by other contracts (internal transactions). Only successful transactions are counted.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.ContractCallsInternalCount?a=ETH)\n","operationId":"transactions.ContractCallsInternalCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DeFi Transactions (Absolute)

> The number of transactions (transaction count) in the Ethereum network by on-chain financial instruments and protocols implemented as smart contracts, including decentralized exchanges (DEXs).\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersCountDefi?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_count_defi":{"get":{"summary":"DeFi Transactions (Absolute)","description":"The number of transactions (transaction count) in the Ethereum network by on-chain financial instruments and protocols implemented as smart contracts, including decentralized exchanges (DEXs).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersCountDefi?a=ETH)\n","operationId":"transactions.TransfersCountDefi","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DeFi Transactions (Relative)

> The relative amount (share) of transactions in the Ethereum network by on-chain financial instruments and protocols implemented as smart contracts, including decentralized exchanges (DEXs).\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersCountDefiRelative?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_count_defi_relative":{"get":{"summary":"DeFi Transactions (Relative)","description":"The relative amount (share) of transactions in the Ethereum network by on-chain financial instruments and protocols implemented as smart contracts, including decentralized exchanges (DEXs).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersCountDefiRelative?a=ETH)\n","operationId":"transactions.TransfersCountDefiRelative","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted LTH Transfer Volume

> The total estimated amount of coins moved by \[long-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>). Volume transferred within addresses of the same entity is excluded. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_lth_sum":{"get":{"summary":"Entity-Adjusted LTH Transfer Volume","description":"The total estimated amount of coins moved by [long-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/). Volume transferred within addresses of the same entity is excluded. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromLthSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted LTH Transfer Volume in Loss

> The total estimated amount of coins moved by \[long-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) in loss. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in loss when the price at the time the coins are spent is lower than the entity\&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthLossSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_lth_loss_sum":{"get":{"summary":"Entity-Adjusted LTH Transfer Volume in Loss","description":"The total estimated amount of coins moved by [long-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) in loss. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in loss when the price at the time the coins are spent is lower than the entity&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthLossSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromLthLossSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted LTH Transfer Volume in Profit

> The total estimated amount of coins moved by \[long-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) in profit. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in profit when the price at the time the coins are spent is higher than the entity\&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthProfitSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_lth_profit_sum":{"get":{"summary":"Entity-Adjusted LTH Transfer Volume in Profit","description":"The total estimated amount of coins moved by [long-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) in profit. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in profit when the price at the time the coins are spent is higher than the entity&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthProfitSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromLthProfitSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted LTH/STH Transfer Volume in Profit/Loss

> The relative amount of coins moved by by \[long- and short-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) in profit/loss. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in profit/loss when the price at the time the coins are spent is higher/lower than the entity\&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthSthProfitLossRelative?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_lth_sth_profit_loss_relative":{"get":{"summary":"Entity-Adjusted LTH/STH Transfer Volume in Profit/Loss","description":"The relative amount of coins moved by by [long- and short-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) in profit/loss. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in profit/loss when the price at the time the coins are spent is higher/lower than the entity&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromLthSthProfitLossRelative?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromLthSthProfitLossRelative","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted STH Transfer Volume

> The total estimated amount of coins moved by \[short-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>). Volume transferred within addresses of the same entity is excluded. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromSthSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_sth_sum":{"get":{"summary":"Entity-Adjusted STH Transfer Volume","description":"The total estimated amount of coins moved by [short-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/). Volume transferred within addresses of the same entity is excluded. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromSthSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromSthSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted STH Transfer Volume in Loss

> The total estimated amount of coins moved by \[short-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) in loss. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in loss when the price at the time the coins are spent is lower than the entity\&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromSthLossSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_sth_loss_sum":{"get":{"summary":"Entity-Adjusted STH Transfer Volume in Loss","description":"The total estimated amount of coins moved by [short-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) in loss. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in loss when the price at the time the coins are spent is lower than the entity&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromSthLossSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromSthLossSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted STH Transfer Volume in Profit

> The total estimated amount of coins moved by \[short-term holders]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) in profit. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in profit when the price at the time the coins are spent is higher than the entity\&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the \[entity\&#x27;s averaged purchasing date]\(<https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/>) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\n\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromSthProfitSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_from_sth_profit_sum":{"get":{"summary":"Entity-Adjusted STH Transfer Volume in Profit","description":"The total estimated amount of coins moved by [short-term holders](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) in profit. Volume transferred within addresses of the same entity is excluded. Coins are considered to be in profit when the price at the time the coins are spent is higher than the entity&#x27;s average on-chain acquisition price for its funds. Long- and Short-Term Holder supply is defined with respect to the [entity&#x27;s averaged purchasing date](https://insights.glassnode.com/quantifying-bitcoin-hodler-supply/) with weights given by a logistic function centered at an age of 155 days and a transition width of 10 days.\\n\\nEntities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses. For more information see [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedFromSthProfitSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedFromSthProfitSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted Transaction Count

> The estimated entity-adjusted number of transactions is defined as the number of transactions between different entities, i.e. the total number of transactions excluding transactions within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\n\nFor more information \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.EntityAdjustedCount?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/entity_adjusted_count":{"get":{"summary":"Entity-Adjusted Transaction Count","description":"The estimated entity-adjusted number of transactions is defined as the number of transactions between different entities, i.e. the total number of transactions excluding transactions within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\\n\\nFor more information [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.EntityAdjustedCount?a=BTC)\n","operationId":"transactions.EntityAdjustedCount","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted Volume (Mean)

> The mean estimated amount of coins moved between different entities, i.e. excluding the volume transferred within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\n\nFor more information \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedMean?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_mean":{"get":{"summary":"Entity-Adjusted Volume (Mean)","description":"The mean estimated amount of coins moved between different entities, i.e. excluding the volume transferred within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\\n\\nFor more information [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedMean?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedMean","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted Volume (Median)

> The median estimated amount of coins moved between different entities, i.e. excluding volume transferred within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\n\nFor more information \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedMedian?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_median":{"get":{"summary":"Entity-Adjusted Volume (Median)","description":"The median estimated amount of coins moved between different entities, i.e. excluding volume transferred within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\\n\\nFor more information [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedMedian?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedMedian","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Entity-Adjusted Volume (Total)

> The total estimated amount of coins moved between different entities, i.e. the total volumed transferred excluding the volume transferred within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode\&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\n\nFor more information \[this article]\(<https://insights.glassnode.com/true-bitcoin-volume).\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedSum?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_volume_entity_adjusted_sum":{"get":{"summary":"Entity-Adjusted Volume (Total)","description":"The total estimated amount of coins moved between different entities, i.e. the total volumed transferred excluding the volume transferred within addresses of the same entity. Entities are defined as a cluster of addresses that are controlled by the same network entity and are estimated through advanced heuristics and Glassnode&#x27;s proprietary clustering algorithms. Note that entity–based metrics are based on data science techniques and statistical information that changes over time and are therefore mutable – the data is stable, but most recent data points are subject to slight fluctuations as time progresses.\\n\\nFor more information [this article](https://insights.glassnode.com/true-bitcoin-volume).\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersVolumeEntityAdjustedSum?a=BTC)\n","operationId":"transactions.TransfersVolumeEntityAdjustedSum","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 10m, 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"c","in":"query","required":false,"description":"currency - NATIVE, USD","schema":{"type":"string"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## ERC-20 Transactions (Absolute)

> The number of transactions (transaction count) in the Ethereum network by transactions calling ERC20 contracts. Stablecoins contracts are excluded here.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersCountErc20?a=ETH>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - transactions","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/transactions/transfers_count_erc20":{"get":{"summary":"ERC-20 Transactions (Absolute)","description":"The number of transactions (transaction count) in the Ethereum network by transactions calling ERC20 contracts. Stablecoins contracts are excluded here.\n\n[View in Studio](https://studio.glassnode.com/charts/transactions.TransfersCountErc20?a=ETH)\n","operationId":"transactions.TransfersCountErc20","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## ERC-20 Transactions (Relative)

> The relative amount (share) of transactions in the Ethereum network by transactions calling ERC20 contracts. Stablecoins contracts are excluded here.\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/transactions.TransfersCountErc20Relative?a=ETH>)<br>

```json
[...]
